<md-card class="default-card eth-card" ng-if="$ctrl.news.length > 0">
    <md-card-title class="eth-card-title">
        <md-card-title-text>
            <span class="md-headline eth-news-headline" role="heading" aria-level="2">{{::$ctrl.ethConfigService.getLabel($ctrl.config, 'heading')}}</span>
        </md-card-title-text>
    </md-card-title>
    <md-card-content>
        <div class="eth-news" ng-repeat="news in $ctrl.news">
            <a target="_blank" class="eth-news-title-link" rel="noopener" href="{{news.link}}" rel="external">
                <span class="md-title" role="heading" aria-level="3">{{$ctrl.decodeHtmlEntities(news.title)}}</span>
            </a>
            <div class="eth-news-content">
                <a target="_blank" rel="noopener" href="{{news.link}}" class="eth-news-image-link" rel="external">
                    <img ng-if="news.image" ng-src="{{news.image}}" alt="">
                </a>
                <p>
                    <a class="eth-news-teaser" target="_blank" rel="noopener" href="{{news.link}}" rel="external">{{$ctrl.decodeHtmlEntities(news.lead)}}</a>
                </p>
            </div>
        </div>
        <div class="eth-all-news">
            <a target="_blank" rel="noopener" class="arrow-link" rel="external" href="{{::$ctrl.ethConfigService.getUrl($ctrl.config, 'all')}}">
                <span>{{::$ctrl.ethConfigService.getLabel($ctrl.config, 'all')}}</span>
                <prm-icon external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new"></prm-icon>
                <prm-icon link-arrow external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="chevron-right"></prm-icon>
            </a>
        </div>
    </md-card-content>
</md-card>
